package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/9/18
 */
public class CourseHomeWorkTemplateQueryInfo extends QueryInfo {
    private String organId;

    @ApiModelProperty(value = "科目ID集合",required = false)
    private String[] subjectIDs;

    @ApiModelProperty(value = "课程计划ID",required = false)
    private Long courseScheduleID;

    private String classStartDate;

    private String classEndDate;

    @ApiModelProperty(value = "班级类型")
    private String classType;

    @ApiModelProperty(value = "课程组类型")
    private String groupType = "MUSIC";

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType;
    }

    public String getClassStartDate() {
        return classStartDate;
    }

    public void setClassStartDate(String classStartDate) {
        this.classStartDate = classStartDate;
    }

    public String getClassEndDate() {
        return classEndDate;
    }

    public void setClassEndDate(String classEndDate) {
        this.classEndDate = classEndDate;
    }

    public String getClassType() {
        return classType;
    }

    public void setClassType(String classType) {
        this.classType = classType;
    }

    public String[] getSubjectIDs() {
        return subjectIDs;
    }

    public void setSubjectIDs(String[] subjectIDs) {
        this.subjectIDs = subjectIDs;
    }

    public Long getCourseScheduleID() {
        return courseScheduleID;
    }

    public void setCourseScheduleID(Long courseScheduleID) {
        this.courseScheduleID = courseScheduleID;
    }
}
